Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to retrieve the details of delivery template:
{ "processingTime":959, "offset":0, "limit":50, "totalCount":153, "objects"[ { "id":"72ab9726-359d-4c07-987e-febdcfb86906", "refId": "Template719", "name":"XLSX via Hypercore", "description":"Template to deliver an XLSX file via Hypercore.", "color": "#10Be21", "isDefault":false, "status":"ACTIVE", "managedAccess": "DISABLED", "deliveryType": "MANUAL", "templateOwners":[], "targetSystemReference":"S3", "defaultPhysicalLocation":"file", "deliveryMethods":[ { "id":"3c308736-5d9d-4a35-92a6-86dc213f4c5a", "refId": "DMTD72", "name":"Hypercore Protocol", "status":"ACTIVE", "createdBy":"f400dUqjPuaiJ9KBrzOhiB", "createdOn":"2022-07-21T18:20:27.529Z", "modifiedBy":"f400dUqjPuaiJ9KBrzOhiB", "modifiedOn":"2022-07-21T18:20:27.529Z" } ], "deliveryFormats":[ { "id":"8738df74-1413-4123-b370-b637249b5bfc", "refId": "FMT8", "name":"XLSX Workbook", "status":"ACTIVE", "createdBy":"f400dUqjPuaiJ9KBrzOhiB", "createdOn":"2022-07-21T18:20:24.395Z", "modifiedBy":"f400dUqjPuaiJ9KBrzOhiB", "modifiedOn":"2022-07-21T18:20:24.395Z" } ], "createdBy":"f400dUqjPuaiJ9KBrzOhiB", "createdOn":"2022-07-21T18:20:30.491Z", "modifiedBy":"f400dUqjPuaiJ9KBrzOhiB", "modifiedOn":"2022-07-21T18:20:30.491Z" }
The following table describes the parameters of each delivery template that is retrieved:
Parameter
Description
offset
Start index for paginated results.
By default, offset is 0.
limit
Maximum number of results.
By default, limit is 50.
totalCount
Total count of records that match the applied filters.
id
The system generated unique identifier of the delivery template.
refId
The reference identifier of the delivery template.
name
Name of the delivery template.
description
Description of the delivery template.
color
The color indicator for the delivery template.
isDefault
This parameter indicates whether or not the delivery template is set as the default delivery option for your
Data Marketplace
instance. The parameter can have one of the following values:
  • If the parameter value is
    true
    , the delivery target is the default delivery option for a data collection.
  • If the parameter value is
    false
    , the delivery target isn't the default delivery option for a data collection.
status
Status of the delivery template. This parameter can have one of the following values:
  • If the delivery template status is
    ACTIVE
    , the delivery template is available to Data Owners.
  • If the delivery template status is
    INACTIVE
    , the delivery template is not available to Data Owners.
managedAccess
This parameter determines whether a unique data location is created for each order that is fulfilled using a target that is based on this template. This parameter can have one of the following values:
  • If the parameter value is
    ENABLED
    , a unique data location is created for each order that is fulfilled using a target that is based on this template. Furthermore, an access management application such as
    Data Access Management
    might customize the delivered data based on the characteristics of the data, the Data User and the usage context that they specified in the order.
  • If the parameter value is
    DISABLED
    , the same data is made available in a data location that is common to all Data Users.
For more information, see the
Use Data Access Management to streamline the Data Marketplace order process
topic in the
Set Up Data Marketplace
help.
deliveryType
The type of delivery.
  • If the delivery type is
    AUTOMATIC
    , the order approval and fulfillment is automated.
  • If the delivery type is
    MANUAL
    , the Data Owner must approve the order manually and the Technical Owner must fulfill the order manually.
templateowners
Details of the Delivery Owner that is responsible for the delivery template.
targetSystemReference
Target system or resource reference from where the data is obtained.
defaultPhysicalLocation
The default delivery location.
deliveryMethods > id
The system generated unique identifier of the delivery method of the delivery template.
deliveryMethods > refId
The reference identifier of the delivery method.
deliveryMethods > name
Name of the delivery method.
deliveryMethods > status
The status of the delivery method.
  • If the status is
    ACTIVE
    , the delivery method is available to Delivery Owners.
  • If the status is
    INACTIVE
    , the delivery method is not available to Delivery Owners.
deliveryMethods > createdBy
The system generated unique identifier of the user account that created the delivery method.
deliveryMethods > createdOn
The date when the delivery method was created.
deliveryMethods > modifiedBy
The system generated unique identifier of the latest user account that modified the delivery method.
deliveryMethods > modifiedOn
Latest date when the delivery method was modified.
deliveryFormats > id
The system generated unique identifier of the delivery format of the delivery template.
deliveryFormats > refId
The reference identifier of the delivery format.
deliveryFormats > name
Name of the delivery format.
deliveryFormats > status
The status of the delivery format.
  • If the status is
    ACTIVE
    , the delivery format is available to Delivery Owners.
  • If the status is
    INACTIVE
    , the delivery format is not available to Delivery Owners.
deliveryFormats > createdBy
The system generated unique identifier of the user account that created the delivery format.
deliveryFormats > createdOn
The date when the delivery format was created.
deliveryFormats > modifiedBy
The system generated unique identifier of the latest user account that modified the delivery format.
deliveryFormats > modifiedOn
Latest date when the delivery format was modified.
createdBy
The system generated unique identifier of the user account that created the delivery template.
createdOn
The date when the delivery template was created.
modifiedBy
The system generated unique identifier of the latest user account that modified the delivery template.
modifiedOn
The latest date when the delivery template was modified.

0 COMMENTS

We’d like to hear from you!